#include<iostream>
using namespace std;
bool f(int n, long long m, int k)
{
	int b=n/k, a=n%k;
	long long l;
	l=(b*(b+1))/2+a*(b+1);
	if(l<=m)return true;
	else return false;
}
int main()
{
	int t;
	cin>>t;
	long long n[11], m[11], k[11];
	for(int i=0;i<t;i++)
	{
		cin>>n[i]>>m[i]>>k[i];
	}
	for(int i=0;i<t;i++)
	{
		if(f(n[i], m[i], k[i]))cout<<"Tak\n";
		else cout<<"Nie\n";
	}
	
	return 0;
}